Subject: Re: [PATCH 01/01] iproute2-2.6.23: RFC4214 Support (3)

From: Patrick McHardy <[email-masked]>
Date: Sat, 10 Nov 2007 02:04:43 +0100

osprey67 wrote:
>
> --- iproute2-2.6.23/ip/iptunnel.c.orig  2007-11-08 16:27:24.000000000 
> -0800
> +++ iproute2-2.6.23/ip/iptunnel.c       2007-11-09 15:47:06.000000000 
> -0800
> @@ -1,3 +1,5 @@
> +#define ISATAP
> +
>  /*
>   * iptunnel.c         "ip tunnel"
>   *
> @@ -39,7 +41,12 @@ static void usage(void) __attribute__((n
>  static void usage(void)
>  {
>         fprintf(stderr, "Usage: ip tunnel { add | change | del | show 
> } [ NAME ]\n");
> +#if defined(ISATAP)
> +       fprintf(stderr, "          [ mode { ipip | gre | sit | isatap 
> } ]\n");
> +       fprintf(stderr, "          [ remote ADDR ] [ local ADDR ] [ 
> router ADDR ] [ lifetime NUMBER ]\n");
> +#else
>         fprintf(stderr, "          [ mode { ipip | gre | sit } ] [ 
> remote ADDR ] [ local ADDR ]\n");
> +#endif 

Why all the #ifdefs if you define it in the same file anyway?